import { LanguageSupport, LRLanguage } from "@codemirror/language";
import { type Tag } from "@lezer/highlight";
import { parser } from "./ink.grammar.js";
export declare const stylesMap: {
    INCLUDE: Tag;
    Included: Tag;
    "VAR CONST LIST EXTERNAL temp function": Tag;
    ref: Tag;
    return: Tag;
    "FunctionIdentifier!": Tag;
    Identifier: Tag;
    BlockComment: Tag;
    LineComment: Tag;
    "AuthorWarning!": Tag;
    Integer: Tag;
    Float: Tag;
    "true false": Tag;
    not: Tag;
    "DeclarationEqual! =": Tag;
    "ArithOp! -": Tag;
    "ListOp! CompareOp!": Tag;
    'LogicOp! "!"': Tag;
    "++ -- += -=": Tag;
    "-> <- ->->": Tag;
    "GatherDashes! Bullets!": Tag;
    "( )": Tag;
    "{ }": Tag;
    "[ ]": Tag;
    "~ , .": Tag;
    "Tag ChoiceTag": Tag;
    Glue: Tag;
    "ContentText!": Tag;
    "KnotTitleEquals! StitchTitleEquals!": Tag;
};
export declare const InkLang: LRLanguage;
export declare function Ink(): LanguageSupport;
export { parser };
